Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class UserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, IDLEntity, java.io.Serializable

Direct Known Subclasses:
  AdapterAlreadyExists, AdapterInactive, AdapterNonExistent, AlreadyBound, BadKind, Bounds, Bounds, CannotProceed, DuplicateName, FormatMismatch, ForwardRequest, ForwardRequest, InconsistentTypeCode, InconsistentTypeCode, InvalidAddress, InvalidName, InvalidName, InvalidName, InvalidPolicies, InvalidPolicy, InvalidSlot, InvalidTypeForEncoding, InvalidValue, NoContext, NoServant, NotEmpty, NotFound, ObjectAlreadyActive, ObjectNotActive, PolicyError, ServantAlreadyActive, ServantNotActive, TypeMismatch, TypeMismatch, UnknownEncoding, UnknownUserException, WrongAdapter, WrongPolicy

public abstract class UserException
extends java.lang.Exception
implements IDLEntity, org.apache.avalon.framework.CascadingThrowable

See Also:
  Serialized Form

Constructor Summary
`UserException()`
`UserException(java.lang.String value)`

Method Summary
`java.lang.Throwable` | `getCause()`
`java.lang.Throwable` | `initCause(java.lang.Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserException

    public UserException()

### UserException

    public UserException(java.lang.String value)

Method Detail

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

### getCause

    public java.lang.Throwable getCause()

  Specified by:
    `getCause` in interface `org.apache.avalon.framework.CascadingThrowable`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD